org.restlet

## Interface Uniform

All Known Implementing Classes:
  Application, Authenticator, Authorizer, ChallengeAuthenticator, ChildClientDispatcher, Client, ClientRoute, ClientRouter, Component, ComponentClientDispatcher, ComponentServerDispatcher, Connector, Decoder, Directory, Encoder, Extractor, Filter, Finder, Guard, HostRoute, InternalRouter, LogFilter, MethodAuthorizer, RangeFilter, Redirector, Restlet, RoleAuthorizer, Route, Router, Server, ServerRouter, StatusFilter, TemplateDispatcher, TemplateRoute, TunnelFilter, Validator, VirtualHost, WrapperRestlet

    public interface Uniform

Uniform REST interface. "The central feature that distinguishes the REST architectural style from other network-based styles is its emphasis on a uniform interface between components. By applying the software engineering principle of generality to the component interface, the overall system architecture is simplified and the visibility of interactions is improved. Implementations are decoupled from the services they provide, which encourages independent evolvability." Roy T. Fielding

Author:
  Jerome Louvel
See Also:
  Source dissertation

### Method Summary

Methods
`void` `handle(Request request, Response response)` Handles a uniform call.

### Method Detail

#### handle

    void handle(Request request,
              Response response)

Handles a uniform call. It is important to realize that this interface can be used either on the client-side or on the server-side.

Parameters:
  `request` - The request to handle.
  `response` - The associated response.